<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ChatAssignmentOpenedStatusAction extends \Google\Protobuf\Internal\Message
{
    


    protected $chatOpened = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getChatOpened()
    {
        return isset($this->chatOpened) ? $this->chatOpened : false;
    }

    public function hasChatOpened()
    {
        return isset($this->chatOpened);
    }

    public function clearChatOpened()
    {
        unset($this->chatOpened);
    }

    




    public function setChatOpened($var)
    {
        GPBUtil::checkBool($var);
        $this->chatOpened = $var;

        return $this;
    }

}

